Learn about our RFC process, Open RFC meetings & more.Join in the discussion! »

gulp-semistandard

1.0.0 • Public • Published

gulp-semistandard

Build Status NPM version js-semistandard-style

Semi-Standard linter for gulp

Information

Packagegulp-semistandard
Description Check JavaScript code against the semistandard coding style
Node version >= 0.9
gulp version 3.x

Usage

Install

$ npm install --save-dev gulp-semistandard

Examples

// include the required packages.
var gulp = require('gulp');
var semistandard = require('gulp-semistandard');
 
gulp.task('semistandard', function () {
  return gulp.src(['./app.js'])
    .pipe(semistandard())
    .pipe(semistandard.reporter('default', {
      breakOnError: true,
      quiet: true
    }));
});

Reporters

Built-in

You can choose a reporter when you call

stuff
  .pipe(semistandard())
  .pipe(semistandard.reporter('default', opts))
External

You can also use some other custom made reporter

var reporter = require(<SOME_REPORTER>)
 
stuff
  .pipe(semistandard())
  .pipe(semistandard.reporter(reporter, opts))

OR -

stuff
  .pipe(semistandard())
  .pipe(semistandard.reporter(<REPORTER NAME>, opts))

Reporter options

breakOnError

Type: boolean Default: false

Emit gulp error on reported error

breakOnWarning

Type: boolean Default: false

Emit gulp error on reported warning

prefixLogs

Type: boolean Default: false

Prefix log messages with the plugin name

quiet

Type: boolean Default: false

Suppress success messages, only show errors

LICENSE MIT

Install

npm i gulp-semistandard

DownloadsWeekly Downloads

7

Version

1.0.0

License

MIT

Last publish

Collaborators

  • avatar